Package org.jfree.report.data

## Class PrecomputedExpressionSlot

- java.lang.Object
- - org.jfree.report.data.PrecomputedExpressionSlot

- All Implemented Interfaces:
    `java.lang.Cloneable`, `ExpressionSlot`

      public class PrecomputedExpressionSlot
      extends java.lang.Object
      implements ExpressionSlot

  Creation-Date: 25.11.2006, 15:18:58
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrecomputedExpressionSlot​(java.lang.String name, java.lang.Object value, boolean preserve)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `advance()` |
    `java.lang.Object` | `clone()` | Returns a clone of the object.
    `java.lang.String` | `getName()` |
    `java.lang.Object` | `getValue()` |
    `boolean` | `isDeepTraversing()` |
    `boolean` | `isPreserve()` |
    `void` | `updateDataRow​(DataRow dataRow)` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrecomputedExpressionSlot

          public PrecomputedExpressionSlot​(java.lang.String name,
                                           java.lang.Object value,
                                           boolean preserve)

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue()
                                    throws DataSourceException

      Specified by:
        `getValue` in interface `ExpressionSlot`
      Throws:
        `DataSourceException`

    - #### advance

          public void advance()
                       throws DataSourceException

      Specified by:
        `advance` in interface `ExpressionSlot`
      Throws:
        `DataSourceException`

    - #### updateDataRow

          public void updateDataRow​(DataRow dataRow)

      Specified by:
        `updateDataRow` in interface `ExpressionSlot`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `ExpressionSlot`

    - #### isDeepTraversing

          public boolean isDeepTraversing()

      Specified by:
        `isDeepTraversing` in interface `ExpressionSlot`

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Returns a clone of the object.
      Specified by:
        `clone` in interface `ExpressionSlot`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        A clone.
      Throws:
        `java.lang.CloneNotSupportedException` - if cloning is not supported for some reason.

    - #### isPreserve

          public boolean isPreserve()

      Specified by:
        `isPreserve` in interface `ExpressionSlot`